Package org.eclipse.microprofile.openapi.tck

## Class OASFactoryErrorTest.MyLicenseImpl

- java.lang.Object
- - org.eclipse.microprofile.openapi.tck.OASFactoryErrorTest.MyLicenseImpl

All Implemented Interfaces:
  `Constructible`, `Extensible<License>`, `License`

Enclosing class:
  OASFactoryErrorTest

    public final class OASFactoryErrorTest.MyLicenseImpl
    extends Object
    implements License

### Constructor Summary

Constructors
`MyLicenseImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`License` `addExtension​(String name, Object value)`
`Map<String,​Object>` `getExtensions()`
`String` `getName()`
`String` `getUrl()`
`License` `name​(String name)`
`void` `removeExtension​(String name)`
`void` `setExtensions​(Map<String,​Object> extensions)`
`void` `setName​(String name)`
`void` `setUrl​(String url)`
`License` `url​(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`extensions`

### Constructor Detail

#### MyLicenseImpl

    public MyLicenseImpl()

### Method Detail

#### getExtensions

    public Map<String,​Object> getExtensions()

Specified by:
  `getExtensions` in interface `Extensible<License>`

#### addExtension

    public License addExtension​(String name,
                                Object value)

Specified by:
  `addExtension` in interface `Extensible<License>`

#### removeExtension

    public void removeExtension​(String name)

Specified by:
  `removeExtension` in interface `Extensible<License>`

#### setExtensions

    public void setExtensions​(Map<String,​Object> extensions)

Specified by:
  `setExtensions` in interface `Extensible<License>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `License`

#### setName

    public void setName​(String name)

Specified by:
  `setName` in interface `License`

#### name

    public License name​(String name)

Specified by:
  `name` in interface `License`

#### getUrl

    public String getUrl()

Specified by:
  `getUrl` in interface `License`

#### setUrl

    public void setUrl​(String url)

Specified by:
  `setUrl` in interface `License`

#### url

    public License url​(String url)

Specified by:
  `url` in interface `License`